package cn.cecep.talroad.vo.query;

import cn.hutool.core.util.ObjectUtil;
import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import cn.cecep.talroad.domain.OdsOnlineOlPsinfoA;
import cn.cecep.talroad.common.core.domain.query.PageQuery;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import java.util.Date;


/**
 * 【请填写功能名称】对象 ods_online_ol_psinfo_a
 *
 * @author szhpt
 * @date 2023-06-10*/
@ApiModel(value = "【请填写功能名称】")
@EqualsAndHashCode(callSuper = false)
@Data
public class OdsOnlineOlPsinfoAQuery extends PageQuery
{

    @ApiModelProperty(value = "主键ID")
    private String id;
    @ApiModelProperty(value = "企业代码：社会统计信用代码")
    private String psCode;
    @ApiModelProperty(value = "企业名称")
    private String psName;
    @ApiModelProperty(value = "企业名拼音")
    private String psLetter;
    @ApiModelProperty(value = "企业地址")
    private String address;
    @ApiModelProperty(value = "国民经济行业代码")
    private String industryCode;
    @ApiModelProperty(value = "环保行业代码")
    private String regulationIndustryId;
    @ApiModelProperty(value = "行政区划代码ID，区县级")
    private String regionId;
    @ApiModelProperty(value = "企业经度")
    private String longitude;
    @ApiModelProperty(value = "企业纬度")
    private String latitude;
    @ApiModelProperty(value = "联系人")
    private String contact;
    @ApiModelProperty(value = "联系人手机")
    private String contactphone;
    @ApiModelProperty(value = "是否高架源，1-是")
    private String isHighChimney;
    @ApiModelProperty(value = "$column.columnComment")
    private String isRubbish;
    @ApiModelProperty(value = "重点非重点code")
    private String categoryTypeId;
    @ApiModelProperty(value = "是否有排污许可证 0否 1是")
    private String isPwxk;
    @ApiModelProperty(value = "企业状态，1-在线 2-超标 3-异常 4-离线")
    private String psState;
    @ApiModelProperty(value = "是否启用，1-启用 0-禁用")
    private String enable;
    @ApiModelProperty(value = "联网时间")
    private String networkTime;
    @ApiModelProperty(value = "是否联网，1-是 0-否")
    private Long networkStatus;
    @ApiModelProperty(value = "运维标记联网时间")
    private String opFlagNetworkTime;
    @ApiModelProperty(value = "运维标记是否联网 1-是 0-否")
    private Long opFlagNetworkStatus;
    @ApiModelProperty(value = "入库时间")
    private String createTime;
    @ApiModelProperty(value = "更新时间")
    private String updateTime;
    @ApiModelProperty(value = "停用改启用时间")
    private String enableTime;
    @ApiModelProperty(value = "禁用时间")
    private String deleteTime;
    @ApiModelProperty(value = "是否同步给省厅 1同步 0不同步")
    private Long syProvince;
    @ApiModelProperty(value = "$column.columnComment")
    private Long sySky;
    @ApiModelProperty(value = "企业类型 0线上(非现场执法),1线下")
    private Long psType;
    @ApiModelProperty(value = "企业是否生成处置单 0不生成,1生成")
    private Long psDisposal;
    /**
     *
     * @Title: getQueryWrapper
     * @Description: 查询参数组装
     * @param: @return
     * @return: QueryWrapper<BasIndustry>
     * @throws
     */
    public static QueryWrapper<OdsOnlineOlPsinfoA> createLambdaQueryWrapper(OdsOnlineOlPsinfoAQuery query) {
        QueryWrapper<OdsOnlineOlPsinfoA> wrapper = new QueryWrapper<>();
        wrapper.eq(ObjectUtil.isNotNull(query.getId()), "id", query.getId());
        wrapper.eq(ObjectUtil.isNotNull(query.getPsCode()), "ps_code", query.getPsCode());
        wrapper.eq(ObjectUtil.isNotNull(query.getPsName()), "ps_name", query.getPsName());
        wrapper.eq(ObjectUtil.isNotNull(query.getPsLetter()), "ps_letter", query.getPsLetter());
        wrapper.eq(ObjectUtil.isNotNull(query.getAddress()), "address", query.getAddress());
        wrapper.eq(ObjectUtil.isNotNull(query.getIndustryCode()), "industry_code", query.getIndustryCode());
        wrapper.eq(ObjectUtil.isNotNull(query.getRegulationIndustryId()), "regulation_industry_id", query.getRegulationIndustryId());
        wrapper.eq(ObjectUtil.isNotNull(query.getRegionId()), "region_id", query.getRegionId());
        wrapper.eq(ObjectUtil.isNotNull(query.getLongitude()), "longitude", query.getLongitude());
        wrapper.eq(ObjectUtil.isNotNull(query.getLatitude()), "latitude", query.getLatitude());
        wrapper.eq(ObjectUtil.isNotNull(query.getContact()), "contact", query.getContact());
        wrapper.eq(ObjectUtil.isNotNull(query.getContactphone()), "contactphone", query.getContactphone());
        wrapper.eq(ObjectUtil.isNotNull(query.getIsHighChimney()), "is_high_chimney", query.getIsHighChimney());
        wrapper.eq(ObjectUtil.isNotNull(query.getIsRubbish()), "is_rubbish", query.getIsRubbish());
        wrapper.eq(ObjectUtil.isNotNull(query.getCategoryTypeId()), "category_type_id", query.getCategoryTypeId());
        wrapper.eq(ObjectUtil.isNotNull(query.getIsPwxk()), "is_pwxk", query.getIsPwxk());
        wrapper.eq(ObjectUtil.isNotNull(query.getPsState()), "ps_state", query.getPsState());
        wrapper.eq(ObjectUtil.isNotNull(query.getEnable()), "enable", query.getEnable());
        wrapper.eq(ObjectUtil.isNotNull(query.getNetworkTime()), "network_time", query.getNetworkTime());
        wrapper.eq(ObjectUtil.isNotNull(query.getNetworkStatus()), "network_status", query.getNetworkStatus());
        wrapper.eq(ObjectUtil.isNotNull(query.getOpFlagNetworkTime()), "op_flag_network_time", query.getOpFlagNetworkTime());
        wrapper.eq(ObjectUtil.isNotNull(query.getOpFlagNetworkStatus()), "op_flag_network_status", query.getOpFlagNetworkStatus());
        wrapper.eq(ObjectUtil.isNotNull(query.getCreateTime()), "create_time", query.getCreateTime());
        wrapper.eq(ObjectUtil.isNotNull(query.getUpdateTime()), "update_time", query.getUpdateTime());
        wrapper.eq(ObjectUtil.isNotNull(query.getEnableTime()), "enable_time", query.getEnableTime());
        wrapper.eq(ObjectUtil.isNotNull(query.getDeleteTime()), "delete_time", query.getDeleteTime());
        wrapper.eq(ObjectUtil.isNotNull(query.getSyProvince()), "sy_province", query.getSyProvince());
        wrapper.eq(ObjectUtil.isNotNull(query.getSySky()), "sy_sky", query.getSySky());
        wrapper.eq(ObjectUtil.isNotNull(query.getPsType()), "ps_type", query.getPsType());
        wrapper.eq(ObjectUtil.isNotNull(query.getPsDisposal()), "ps_disposal", query.getPsDisposal());
        return wrapper;
        }
}
